{% extends 'assessments/layout_mutation_logs.html' %}

{% load i18n %}
{% load assessment_tags %}
{% load sekizai_tags %}

{% block assessments_content %}

<div class="row">
    <div class="col-xs-12">
        <h2>{{table_header}}</h2>

        <div class="row-scroll">

            <table class="table table-hover table-striped table-bordered">
                <thead>
                <tr>
                    <th class="question">{{question_header}}</th>
                    <th class="mutation">{{mutation_header}}</th>
                    <th class="mutation">{% trans "Assessment Status" %}</th>
                    <th class="date">{% trans "Date / Time" %}</th>
                    <th class="user">{{mutation_by_header}}</th>
                </tr>
                </thead>
                <tbody>
                {% for assessment_log in assessment_logs %}
                <tr>
                    <td>{{ assessment_log.question_text }}</td>
                    <td>{{ assessment_log.mutation }}</td>
                    <td>{{ assessment_log.get_assessment_status_display }}</td>
                    <td>{{ assessment_log.mutation_date|datetime_with_timezone }}</td>
                    <td>{{ assessment_log.user.username}} ({{ assessment_log|get_mutation_role }})</td>
                </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>

        <div class="pagination">
            <span class="step-links">
                {% if assessment_logs.has_previous %}
                    <a href="?page={{ assessment_logs.previous_page_number }}">previous</a>
                {% endif %}

                <span class="current">
                    Page {{ assessment_logs.number }} of {{ assessment_logs.paginator.num_pages }}.
                </span>

                {% if assessment_logs.has_next %}
                    <a href="?page={{ assessment_logs.next_page_number }}">next</a>
                {% endif %}
            </span>
        </div>

    </div>
</div>


{# Sekizai #}

{% addtoblock "javascript" %}
{% endaddtoblock %}
</div>
{% endblock %}


